Bug 91559 - autofs init script doesn't support exclude
Summary: autofs init script doesn't support exclude
Status: CLOSED CANTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: autofs   
(Show other bugs)
Version: 9
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nalin Dahyabhai
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-05-24 01:45 UTC by Marc MERLIN
Modified: 2007-04-18 16:53 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-02 19:08:29 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Marc MERLIN 2003-05-24 01:45:21 UTC
Could you add a patch of that sort so that we can override an ldap/yp
auto.master and mount one or several of those mountpoints locally in /etc/fstab?

--- autofs.FCS  2003-01-27 20:22:54.000000000 -0800
+++ autofs      2003-05-23 18:38:27.000000000 -0700
@@ -34,6 +34,11 @@
 initdir=/etc/init.d
 
 #
+# Read configuration options
+#
+[ -f /etc/sysconfig/autofs ] && . /etc/sysconfig/autofs
+
+#
 # Determine which kind of configuration we're using
 #
 system=unknown
@@ -196,6 +201,16 @@
                fi
                map=`echo $map | cut -f2- -d:`
 
+               # Process exclude list (to reduce number of automounts)
+               if [ ! -z "$AUTOFS_EXCLUDE" ]; then
+                   for exclude in $AUTOFS_EXCLUDE
+                   do
+                       if [ x"$exclude" = x"$dir" ]; then
+                           continue
+                       fi
+                   done
+               fi
+
                : echo STARTUPOPTIONS $startupoptions
                : echo DIR $dir
                : echo MAPTYPE $maptype

Comment 1 Jeff Moyer 2004-09-20 21:02:11 UTC
Please suggest this change upstream.  autofs@linux.kernel.org is the
address of the mailing list.

Comment 2 Jeff Moyer 2004-09-24 18:51:55 UTC
Ian wants this to appear in distributions first.  Then, once the
necessary changes for each distro are worked out, he will incorporate
the change upstream.

Comment 3 Bill Nottingham 2006-08-05 04:53:45 UTC
Red Hat apologizes that these issues have not been resolved yet. We do want to
make sure that no important bugs slip through the cracks.

Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
They are maintained by the Fedora Legacy project (http://www.fedoralegacy.org/)
for security updates only. If this is a security issue, please reassign to the
'Fedora Legacy' product in bugzilla. Please note that Legacy security update
support for these products will stop on December 31st, 2006.

If this is not a security issue, please check if this issue is still present
in a current Fedora Core release. If so, please change the product and version
to match, and check the box indicating that the requested information has been
provided.

If you are currently still running Red Hat Linux 7.3 or 9, please note that
Fedora Legacy security update support for these products will stop on December
31st, 2006. You are strongly advised to upgrade to a current Fedora Core release
or Red Hat Enterprise Linux or comparable. Some information on which option may
be right for you is available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Any bug still open against Red Hat Linux 7.3 or 9 at the end of 2006 will be
closed 'CANTFIX'. Again, if this bug still exists in a current release, or is a
security issue, please change the product as necessary. We thank you for your
help, and apologize again that we haven't handled these issues to this point.


Comment 5 Bill Nottingham 2007-01-02 19:08:29 UTC
Red Hat Linux 7.3 and Red Hat Linux 9 are no longer supported by Red Hat, Inc.
f you are currently still running Red Hat Linux 7.3 or 9, you are strongly
advised to upgrade to a current Fedora Core release or Red Hat Enterprise Linux
or comparable. Some information on which option may be right for you is
available at http://www.redhat.com/rhel/migrate/redhatlinux/.

Closing as CANTFIX.


Note You need to log in before you can comment on or make changes to this bug.